Subject: Need help!! Label Space issue

From: "Roberto Guglielmi" <[email-masked]>
Date: Fri, 5 Apr 2002 15:59:22 +0200

Hi all,
I would appreciate your help to clear my doubt regarding LDP Generic label
spaces.

RFC 3036, paragraph 3.5.3, pag. 59/62, states:
        "A receiving LSR MUST calculate the intersection between the
         received range and its own supported label range.  The
         intersection is the range in which the LSR may allocate and
         accept labels.  LSRs MUST NOT establish a session with
         neighbors for which the intersection of ranges is NULL.  In
         this case, the LSR must send a Session Rejected/Parameters
         Label Range Notification message in response to the
         Initialization message and not establish the session."

This is valid for ATM and FR interfaces.

Suppose I use only Generic Interfaces. In this case peer LSRs don't exchange
label
ranges. Which of the following solutions is correct?

1) Is the node upstream supposed to accept any label the node downstream
chooses?

2) Is it a manager's matter to choose the consistent label ranges on the
upside LSR and
the downside LSR? If so, do these ranges have to be coincident?

Thanks in advance for you help.
Regards,
Roberto Guglielmi

---

From: Eric Gray <[email-masked]>
Date: Mon, 08 Apr 2002 11:33:48 -0400

Roberto,

    Same question, same answer.

>    There are presumably lots of clever things a vendor could do by
> partitioning the range of generic labels.  The question is: why make
> every other implementation pay for this cleverness in terms of the
> protocol complexity and interoperability issues?  Might as well ask
> your friends to wear horse costumes so that you'll be taken more
> seriously then they will.  [:-)]
>
>    Since the generic labels are just 20-bit numbers that are inserted
> in the packet (shim) header, there is only one obvious reason why we
> may not expect that the upstream LSR can insert whatever number
> we want it to.   That reason is if the upstream LSR wants separate
> labels so that it can (for some reason) treat the traffic distinctly.  It
> is obvious that this reason has nothing to do with ranging labels and
> it is handled easily enough by the fact that the downstream LSR is
> not allowed to return the same label for separate label requests (or
> for any label requests if DU distribution is in use).
>
>    Otherwise, yes we do expect the upstream LSR to be able to use
> any label we tell it to.  If it cannot, it can try again, get a different
> label and release the first one.  But I know of no reason why LSRs
> would need to do this and this will not work for range problems...

>1) Is the node upstream supposed to accept any label the node downstream
Yes.

>upside LSR and the downside LSR? If so, do these ranges have to be coincident?
>
Yes, for ATM and FR.  Ranges are not defined/supported for Generic labels,
so it is very likely implementations will not provide a means to configure
label ranges.

-- 
--
Eric Gray (mailto:[email-masked])
http://www.mindspring.com/~ewgray